Pt_model {cycleRtools} | R Documentation

## Power-time modelling.

### Description

Model the Power-time (Pt) relationship for a set of data. This is done via nonlinear least squares regression of four models: an inverse model; an exponential model; a bivariate power function model; and a three parameter inverse model. An S3 object of class "Ptmodels" is returned, which currently has methods for print, coef, summary, and predict. If inputs do not conform well to the models, a warning message is generated. This function will make use of `minpack.lm::nlsLM` if available.

### Usage

    Pt_model(P, tsec)

### Arguments

`P` | a numeric vector of maximal mean power values for time periods given in the `tsec` argument.
`tsec` | a numeric vector of time values that (positionally) correspond to elements in `P`.

### Value

returns an S3 object of class "Ptmodels".

### References

R. Hugh Morton (1996) A 3-parameter critical power model, Ergonomics, 39:4, 611-619, DOI.

### See Also

`predict.Ptmodels`

### Examples

    data(Pt_prof)  # Example power-time profile.

    P    <- Pt_prof$pwr
    tsec <- Pt_prof$time

    mdls <- Pt_model(P, tsec)  # Model.
    print(mdls)

    coef(mdls)
    summary(mdls)

[Package cycleRtools version 1.1.1 Index]